> ## Documentation Index
> Fetch the complete documentation index at: https://docs2.zenskar.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get income statement

> Fetch the income statement for an organisation with optional filters and pagination.



## OpenAPI

````yaml /openAPI/openapi-20240301.json get /accounting_new/income_statement/v2
openapi: 3.1.0
info:
  title: zenskar
  version: 2.0.0
servers:
  - url: https://api.zenskar.com
security:
  - ApiTokenAuth: []
    OrganisationAuth: []
paths:
  /accounting_new/income_statement/v2:
    get:
      tags:
        - Accounting
      summary: Get income statement
      description: >-
        Fetch the income statement for an organisation with optional filters and
        pagination.
      operationId: Get-income-statement
      parameters:
        - name: cadence
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            default: month
            title: Cadence
        - name: start_date
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date
              - type: 'null'
            title: Start Date
        - name: end_date
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date
              - type: 'null'
            title: End Date
        - name: currency
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Currency
        - name: grouping_keys
          in: query
          required: false
          schema:
            anyOf:
              - items:
                  type: string
                type: array
              - type: 'null'
            title: Grouping Keys
        - name: get_changes
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            default: true
            title: Get Changes
        - name: cursor
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Cursor
        - name: limit
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            default: 10
            title: Limit
        - name: id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Id
        - name: id__in
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Id  In
        - name: account_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Account Id
        - name: account_id__in
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Account Id  In
        - name: journal_entry_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Journal Entry Id
        - name: journal_entry_id__in
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Journal Entry Id  In
        - name: currency__in
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Currency  In
        - name: customer_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Customer Id
        - name: customer_id__in
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Customer Id  In
        - name: contract_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Contract Id
        - name: contract_id__in
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Contract Id  In
        - name: invoice_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Invoice Id
        - name: invoice_id__in
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Invoice Id  In
        - name: credit_note_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Credit Note Id
        - name: credit_note_id__in
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Credit Note Id  In
        - name: tax_jurisdiction_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Tax Jurisdiction Id
        - name: tax_jurisdiction_id__in
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Tax Jurisdiction Id  In
        - name: payment_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Payment Id
        - name: payment_id__in
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Payment Id  In
        - name: refund_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Refund Id
        - name: refund_id__in
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Refund Id  In
        - name: revenue_contract_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Revenue Contract Id
        - name: revenue_contract_id__in
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Revenue Contract Id  In
        - name: revenue_contract_item_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Revenue Contract Item Id
        - name: revenue_contract_item_id__in
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Revenue Contract Item Id  In
        - name: performance_obligation_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Performance Obligation Id
        - name: performance_obligation_id__in
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Performance Obligation Id  In
        - name: product_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Product Id
        - name: product_id__in
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Product Id  In
        - name: credits
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            title: Credits
        - name: credits__neq
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            title: Credits  Neq
        - name: credits__gt
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            title: Credits  Gt
        - name: credits__gte
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            title: Credits  Gte
        - name: credits__lt
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            title: Credits  Lt
        - name: credits__lte
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            title: Credits  Lte
        - name: debits
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            title: Debits
        - name: debits__neq
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            title: Debits  Neq
        - name: debits__gt
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            title: Debits  Gt
        - name: debits__gte
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            title: Debits  Gte
        - name: debits__lt
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            title: Debits  Lt
        - name: debits__lte
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            title: Debits  Lte
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    ApiTokenAuth:
      type: apiKey
      in: header
      name: x-api-key
      x-default: <your-api-key>
    OrganisationAuth:
      type: apiKey
      in: header
      name: organisation
      x-default: <your-organisation-id>

````